Subject: bug#716: 23.0.60; opening tgz file causes emacs crash

From: Jason Rumney <[email-masked]>
Date: Sat, 23 Aug 2008 00:12:38 +0800

Jason Rumney wrote:
> In trying to debug this, I think I have found where it is going wrong

On further investigation, I think I was seeing symptoms of the problem 
(smashed stack), not the cause. The NULL argument I observed was 
inconsistent with the next stack frame up, where the same argument was 
perfectly valid.

The problem starts to occur with version 1.126 of lisp/tar-mode.el. This 
version contained a rewrite to use separate unibyte and multibyte 
buffers rather than switching between them in the same buffer. I think 
something is going wrong here - a possible problems is that the buffer 
where the crash occurs has a buffer-file-coding-system of 
iso-latin-1-dos, but my tar program outputs unix line ends (checked by 
redirecting output to a file, and letting Emacs auto-detect line ends in 
that file).